### Constructor

# WebKit2 ContextMenuItem new_with_submenu

#### Declaration [src]

    WebKitContextMenuItem*
    webkit_context_menu_item_new_with_submenu (
      const gchar* label,
      WebKitContextMenu* submenu
    )

#### Description [src]

Creates a new `WebKitContextMenuItem` using the given `label` with a submenu.

#### Parameters

`label`

  Type: `const gchar*`

  The menu item label text.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`submenu`

  Type: `WebKitContextMenu`

  A `WebKitContextMenu` to set.

  The data is owned by the caller of the function.

#### Return value

Type: `WebKitContextMenuItem`

The newly created `WebKitContextMenuItem` object.

The data is owned by the called function.